summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYann E. MORIN <yann.morin.1998@free.fr>2014-06-26 22:59:00 (GMT)
committerYann E. MORIN <yann.morin.1998@free.fr>2014-06-26 22:59:00 (GMT)
commita11b51c254dc336f92a564f253f7be310d6d68ef (patch)
tree62ef14bf39befb6f982e84ff6f7220ef1a951b02
parentbdf731eead3e62cad636fcf7d362b34ac6f35e1a (diff)
scripts: first batch of hg->git conversion
Replace calls to 'hg' with as-close-as-possible equivalents in git. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
-rw-r--r--.version2
-rw-r--r--configure.ac7
-rwxr-xr-xscripts/mk-patch.sh3
-rwxr-xr-xscripts/mk-release.sh4
-rwxr-xr-xscripts/showSamples.sh3
5 files changed, 12 insertions, 7 deletions
diff --git a/.version b/.version
index cbb0de2..5664e30 100644
--- a/.version
+++ b/.version
@@ -1 +1 @@
-hg
+git
diff --git a/configure.ac b/configure.ac
index 6b77163..fd69af2 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2,7 +2,6 @@
# Process this file with autoconf to produce a configure script.
AC_PREREQ([2.67])
-#AC_INIT([crosstool-NG], [hg], [crossgcc@sourceware.org])
AC_INIT([crosstool-NG], [m4_esyscmd_s([cat .version])], [crossgcc@sourceware.org])
AC_CONFIG_AUX_DIR([scripts])
@@ -360,10 +359,8 @@ AS_IF(
[PACKAGE_VERSION="${V}"],
[AS_CASE(
[${PACKAGE_VERSION}],
- [hg|*+hg],
- [rev_id="$( hg log -r . --template '{branch}-{node|short}\n' \
- 2>/dev/null \
- || true )"
+ [git|*+git],
+ [rev_id="$( git describe --tags 2>/dev/null )"
PACKAGE_VERSION="${PACKAGE_VERSION}+${rev_id:-unknown-$( date +%Y%m%d.%H%M%S )}"
])])
# Arrange to have no / in the directory name, no need to create an
diff --git a/scripts/mk-patch.sh b/scripts/mk-patch.sh
index cd0d644..7c4d82b 100755
--- a/scripts/mk-patch.sh
+++ b/scripts/mk-patch.sh
@@ -1,5 +1,8 @@
#!/bin/sh
+echo "Broken, fix hg->git conversion first" >&2
+exit 1
+
repos="$1"
pdir="$2"
if [ -z "${repos}" -o ! -d "${repos}" -o -z "${pdir}" -o ! -d "${pdir}" ];then
diff --git a/scripts/mk-release.sh b/scripts/mk-release.sh
index 16a66c0..e32d35a 100755
--- a/scripts/mk-release.sh
+++ b/scripts/mk-release.sh
@@ -1,5 +1,7 @@
#!/bin/bash
-#set -x
+
+echo "Broken, fix hg->git conversion first" >&2
+exit 1
export LC_ALL=C
diff --git a/scripts/showSamples.sh b/scripts/showSamples.sh
index 50089f4..36ed7ae 100755
--- a/scripts/showSamples.sh
+++ b/scripts/showSamples.sh
@@ -1,6 +1,9 @@
#!/bin/sh
# Yes, this is supposed to be a POSIX-compliant shell script.
+echo "Broken, fix hg->git conversion first" >&2
+exit 1
+
# Parses all samples on the command line, and for each of them, prints
# the versions of the main tools